<template>
  <div class="mainView">
    <BreadCrumb />
    <div class="content-lzyj">
      <article-module :article="pageData.article">
        <div class="articleInfo">
          <span class="title"
            >[发布时间] <span>{{ pageData.publishTime }}</span></span
          >
        </div>
      </article-module>
    </div>
  </div>
</template>
<script setup name="lzyj">
import api from "@/api/zwgk.js";
import { ref, onMounted } from "vue";
import articleModule from "@/components/article/index.vue";
import BreadCrumb from "@/components/breadcrumbModule/index.vue";
const pageData = ref({
  publishTime: "",
  article: {},
});
onMounted(() => {
  getPageData();
});
function getPageData() {
  api.performanceBasis().then((res) => {
    if (res.code == 200) {
      pageData.value.article.title = res.data.title;
      pageData.value.publishTime = res.data.publishTime;
      pageData.value.article.attachments = res.data.attachments;
      pageData.value.article.contentHtml = res.data.announcementContent;
    }
  });
}
</script>
<style scoped lang="less">
.content-lzyj {
  width: 80%;
  padding: 30px;
  margin: 0 auto;

  .articleInfo {
  }
}
</style>
